Subject: Re: linux-next: build failure after merge of the perf tree

From: Namhyung Kim <[email-masked]>
Date: Thu, 27 Mar 2025 23:40:18 -0700

Hello,

On Thu, Mar 27, 2025 at 10:22:34AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the perf tree, today's linux-next build (native ppc perf)
> failed like this:
> 
> perf/util/bpf-filter-flex.c:2245:1: error: unterminated comment
>  2245 | /** Pushes the new state onto the stack. The new state becomes
>       | ^
> perf/util/bpf-filter-flex.c:20:31: error: 'perf_bpf_filter_ensure_buffer_stack' used but never defined [-Werror]
>    20 | #define yyensure_buffer_stack perf_bpf_filter_ensure_buffer_stack
>       |                               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> perf/util/bpf-filter-flex.c:550:13: note: in expansion of macro 'yyensure_buffer_stack'
>   550 | static void yyensure_buffer_stack ( void );
>       |             ^~~~~~~~~~~~~~~~~~~~~
> perf/util/bpf-filter-flex.c:606:24: error: 'yy_fatal_error' used but never defined [-Werror]
>   606 | static void yynoreturn yy_fatal_error ( const char* msg  );
>       |                        ^~~~~~~~~~~~~~
> perf/util/bpf-filter-flex.c:510:15: error: 'yy_buffer_stack_max' defined but not used [-Werror=unused-variable]
>   510 | static size_t yy_buffer_stack_max = 0; /**< capacity of stack. */
>       |               ^~~~~~~~~~~~~~~~~~~
> cc1: all warnings being treated as errors
> 
> I don't know what caused this, but simply rebuilding worked.  So maybe
> some dependency is missing in the make files?

Strange, but it seems so.  I'll take a look if I missed something.
Thanks for the report and your hard work!

Namhyung